[arch-commits] CVS update of unstable/modules/tiacx-mm (PKGBUILD kernel-2.6.22.patch)

Tom Killian tom at archlinux.org
Thu Aug 23 08:12:16 UTC 2007


    Date: Thursday, August 23, 2007 @ 04:12:16
  Author: tom
    Path: /home/cvs-unstable/unstable/modules/tiacx-mm

   Added: PKGBUILD (1.1) kernel-2.6.22.patch (1.1)

upgpkg: tiacx-mm 20070101-1


---------------------+
 PKGBUILD            |   24 ++++++++++++++++++++++++
 kernel-2.6.22.patch |   31 +++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)


Index: unstable/modules/tiacx-mm/PKGBUILD
diff -u /dev/null unstable/modules/tiacx-mm/PKGBUILD:1.1
--- /dev/null	Thu Aug 23 04:12:16 2007
+++ unstable/modules/tiacx-mm/PKGBUILD	Thu Aug 23 04:12:15 2007
@@ -0,0 +1,24 @@
+# Maintainer: James Rayner <iphitus at gmail.com>
+_kernver=2.6.23-mm
+
+pkgname=tiacx-mm
+pkgver=20070101
+pkgrel=1
+pkgdesc="OpenSource module for Texas Instruments ACX100/ACX111 wireless chips. For kernel26mm."
+arch=(i686 x86_64)
+url="http://acx100.sourceforge.net/"
+depends=('wireless_tools' 'kernel26mm' 'tiacx-firmware')
+install=acx.install
+source=(http://www.cmartin.tk/acx/acx-$pkgver.tar.bz2 kernel-2.6.22.patch)
+
+build() {
+    cd $startdir/src/acx-$pkgver
+    patch -Np1 -i ../kernel-2.6.22.patch || return 1
+    make -C /lib/modules/$_kernver/build M=`pwd`
+    install -D acx.ko $startdir/pkg/lib/modules/$_kernver/extra/acx.ko
+    sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
+}
+md5sums=('ec6322b9c82781897a9433ef0cefda6f'
+         'fb53485b5d8c9b7bdefd870cd25bf51b')
+sha1sums=('5c7259c09bc754529910aceead6087876177a143'
+          'a00449d4165c73e838692b1e0c5e5457f71646f9')
Index: unstable/modules/tiacx-mm/kernel-2.6.22.patch
diff -u /dev/null unstable/modules/tiacx-mm/kernel-2.6.22.patch:1.1
--- /dev/null	Thu Aug 23 04:12:16 2007
+++ unstable/modules/tiacx-mm/kernel-2.6.22.patch	Thu Aug 23 04:12:16 2007
@@ -0,0 +1,31 @@
+diff -uNr acx-20070101/common.c acx-20070101-patched/common.c
+--- acx-20070101/common.c	2007-01-10 21:15:27.000000000 +0000
++++ acx-20070101-patched/common.c	2007-08-22 22:55:52.000000000 +0100
+@@ -2753,8 +2753,11 @@
+ 
+ 	skb->dev = adev->ndev;
+ 	skb->dev->last_rx = jiffies;
+-
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,22)
++	skb_reset_mac_header(skb);
++#else
+ 	skb->mac.raw = skb->data;
++#endif
+ 	skb->ip_summed = CHECKSUM_NONE;
+ 	skb->pkt_type = PACKET_OTHERHOST;
+ 	skb->protocol = htons(ETH_P_80211_RAW);
+diff -uNr acx-20070101/pci.c acx-20070101-patched/pci.c
+--- acx-20070101/pci.c	2007-01-10 12:27:16.000000000 +0000
++++ acx-20070101-patched/pci.c	2007-08-22 22:55:52.000000000 +0100
+@@ -2104,7 +2104,11 @@
+ /* TODO: pci_set_power_state(pdev, PCI_D0); ? */
+ 
+ 	/* request shared IRQ handler */
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,21)	
++	if (request_irq(ndev->irq, acxpci_i_interrupt, IRQF_SHARED, ndev->name, ndev)) {
++#else
+ 	if (request_irq(ndev->irq, acxpci_i_interrupt, SA_SHIRQ, ndev->name, ndev)) {
++#endif		
+ 		printk("%s: request_irq FAILED\n", ndev->name);
+ 		result = -EAGAIN;
+ 		goto done;




More information about the arch-commits mailing list